
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.security.LoginServiceFactory;
import de.ivu.elect.presentation.benutzerverwaltung.BenutzerCreateView;

public class BenutzerCreateMenuItemEntry extends AbstractBenutzerMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient LoginServiceFactory loginServiceFactory;

  public BenutzerCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.BENUTZER_CREATE;
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && loginServiceFactory.isBenutzerAnlegenMoeglich(getPrincipal().getMandant().getNummer());
  }

  @Override
  public String getTargetViewId() {
    return BenutzerCreateView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "benutzer.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
